Subject: Sony 2010 repair/mod

HOW TO DETECT AND REPAIR THE 
COMMONLY BLOWN TRANSISTOR IN THE SONY 2010

Michael Covington, N4TMI

(Free distribution; you are welcome to copy and distribute
this document.)


As is well known, transistor Q303 in the front-end of the Sony ICF-2010
general coverage receiver is easily damaged by static electricity.
Here is information on how to diagnose and fix this problem.

WHAT ARE THE SYMPTOMS?

   A 10- to 20-dB loss of sensitivity on AM (longwave, medium wave, short
   wave). If you have a good antenna you may not even notice the loss.
   In all other respects the radio functions normally.

HOW DO I TEST IT?

   If you buy a used 2010 it's a good idea to perform this test even if you
   do not notice a performance problem.

   Remove the back cover and locate transistor Q303, near the antenna input.
   Identify its three terminals (D, G, and S).

   Now measure the voltage from each of those terminals to ground, with the
   receiver turned on and receiving shortwave.  (A convenient ground connec-
   tion is the outer part of the antenna jack.)

   The voltages should be:  S  0.2V    G 0.0 V    D 2.9 V

   Note especially the drain (D) voltage.  If it is substantially lower than
   2.9V, the transistor is leaky.  (Mine measured 1.6V when defective.)
   If it's substantially higher (like 4.5V), the transistor is open.

HOW DO I FIX IT?

   The popular MPF-102 transistor, available at Radio Shack, is a suitable
   replacement.  (Sony used a 2SK152, not widely available in the U.S.A.)
   Simply unsolder the old transistor and install the new one, then check
   voltages again.   No alignment is necessary.

HOW DO I PREVENT FURTHER TROUBLE?

   By connecting the shortwave antenna through a protective diode network,
   as shown below.

   \|/ Antenna
    |
    +-----------+--------+----------------------------> tip of plug
                |        |  
               \ /      ---                                   Sony 2010
               ---      / \      Four 1N914 or                antenna
                |        |       1N4148 diodes                jack
               \ /      ---      (do not substitute)
               ---      / \
                |        |
    +-----------+--------+----------------------------> sleeve of plug
    | 
 -------
  -----
   --- Ground (optional)

    The diodes limit all voltages going into the receiver.  Use the
    specified types; other kinds would produce loss of signal, signal
    mixing (resulting in image frequencies), or both.

    The 2010 has a built-in protective diode network connected to the
    built-in telescoping antenna but not the antenna jack.
-- 
==========================================================================
Michael A. Covington, Ph.D. |  mcovingt@uga.cc.uga.edu  |  ham radio N4TMI
Artificial Intelligence Programs | U of Georgia | Athens, GA 30602  U.S.A.
==========================================================================


 
Copied from the QRZ! Windows Ham Radio CDROM
 
